<?php
/**
 * @copyright	Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

/**
 * HTML Article View class for the Content component
 *
 * @package		Joomla.Site
 * @subpackage	com_content
 * @since		1.5
 */
class ContentViewArticle extends JViewLegacy
{

	function display($tpl = null)
	{
		
		$app		= JFactory::getApplication();
		$user		= JFactory::getUser();
		$userId		= $user->get('id');
		
		$task = JRequest::getString('task');
		
		switch( $task ){
						
			case "getArticles":
				
				$this->_getArticles();
				
				break;
			
		}
		
		jexit();
				
	}
	
	public function _getArticles(){

		$query = "SELECT title FROM #__content WHERE catid = 11 ORDER BY id DESC";
				
		$articlesList = JFactory::getDBO()->setQuery($query)->loadObjectList();
		
		$html = "";
		
		foreach( $articlesList as $article ){
			
			$html .= '<div class="uk-margin">'. $article->title .'</div>';
			
		}
		
		echo '<div id="articles-container" class="articles-container">'.$html.'</div>';	
			
		jexit();
				
	}

}